/* NS survey variant */

@import url('https://fonts.googleapis.com/css?family=Noto+Sans:400,500,700');

:root {
    --main: #333;
    --main-education: #402b54;
    --header-education: #0f2d52;
    --mid: #8d6fa9;
    --light: #fff;
    --dark: #000;
    --primary-btn: rgb(154, 192, 44);
    --secondary-btn: rgb(0, 126, 177);
    --primary-btn-focus: rgb(173, 211, 63);
    --secondary-btn-focus: rgb(0, 99, 139);
	--qld-gov-primary: #005eb8;
	--line-border: #84d3ff;
    --max-width: 1340px;
}

* {
    margin: 0;
    padding: 0;
	box-sizing: border-box;
}

html {
	font-size: 62.5%;
}

body {
    font-family: "Noto Sans", sans-serif;
    display: flex;
    flex-direction: column;
	font-size: 16px;
    font-size: 1.6rem;
    min-height: 100vh;
    background-color: var(--light);
    color: #333;
}

#survey-header {
    display: block;
    align-items: left;
}
#survey-header #pre-header .wrapper-outer {
	height: 2.5rem;
}
#survey-header #pre-header p {
	margin-bottom: 0;
    line-height: 24px;
    line-height: 2.4rem;
	margin-top: 1px;
}
#survey-header #pre-header a {
    color: white;
    font-size: 1.4rem;
	transition: all 0.25s ease;
    text-decoration: none;
}
#survey-header #pre-header a:hover {
    text-decoration: underline;
    text-underline-offset: 0.3em;
    text-decoration-thickness: 0.2rem;
}

.header-education {
    width: 100%;
    color: var(--light);
    display: flex;
    justify-content: center;
    padding: 30px 0;
    border-bottom: 1px solid var(--dark);
}

.header-container-education {
    width: 90%;
    max-width: var(--max-width);
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
}
#survey-header .wrapper-inner {
    padding: 0 0.5rem;
}


.header-education img {
    max-width: 250px;
    flex-shrink: 0;
}

#qldgov-header .wrapper-inner {
    padding-top: 32px;
	padding-bottom: 32px;
}

#pre-header {
	background-color: var(--qld-gov-primary);
	padding: 0.5rem 0;
}

.wrapper-outer,
.form-container {
    max-width: var(--max-width);
    margin: 0 auto;
	padding: 0 8px;
	width: 95%;
}
#office-header {
	border-bottom: 8px solid var(--line-border);
}

.treasury-header {
    margin-top: 8px;
    width: 200px;
}
#office-header .wrapper-inner {
    color: var(--qld-gov-primary);
	margin-bottom: 20px;
    min-height: 30px;
}
#office-header .wrapper-inner a {
    color: var(--qld-gov-primary);
    display: block;
    font-size: 2rem;
    font-weight: 700;
    margin: auto;
    text-align: left;
    text-decoration: none;
	line-height: 2rem;
}

.survey-title {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    font-size: 18px;
    font-weight: bold;
    line-height: 1.2;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    color: var(--header-education);
}

.survey-title-text {
    text-align: left;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.survey-title-text-l {
    font-size: 3rem;
    font-weight: bold;
    font-style: italic;
}

.survey-title-text-m {
    font-size: 1.5rem;
    font-weight: 100;
}

.survey-title-text-s {
    font-weight: 100;
}

.right-crest {
    flex-shrink: 0;
}

.content {
    max-width: var(--max-width);
    width: 95%;
    margin: 20px auto 0;
    flex: 1;
	padding: 0 8px;
}

.form-container h3 {
    text-align: center;
    margin-bottom: 15px;
}

h1,
h2,
h3 {
    margin: 0;
    padding-top: 0.5rem;
}

.mrQuestionText p,
.mrQuestionText ul {
    margin-top: 0.1rem;
}

#auth-fields {
    padding: 20px 10px 0px;
}

#auth-fields span {
    display: inline-block;
    width: 100px;
}

#auth-fields .mrQuestionText {
    font-size: 1.6rem;
    line-height: 1.6;
}

#auth-fields div:nth-child(4n+2),
#auth-fields div:last-child {
    display: none;
}

#auth-fields > span:nth-of-type(n + 3) {
    display: none;
}

.content-header-education {
    color: var(--main-education);
}

.content p {
    margin-block-start: 1rem;
    margin-block-end: 1rem;
}

div.content {
    overflow: visible;
}

form {
    margin: 0;
    padding: 0;
    height: 100%;
}

.questionArea {
    margin: 0;
    padding: 1rem 0;
    line-height: 2;
}

textarea {
    width: 100%;
    height: 10rem;
    margin-left: 0 !important;
}

.wrapper {
    display: inline-block;
}

.hover {
    border-bottom: 1px dotted var(--dark);
    display: inline-block;
    position: relative;
}

input[type="submit"] {
    cursor: pointer;
    transition: 0.3s;
    line-height: 24px;
}


input[type="text"] {
    font-size: 16px;
    line-height: 24px;
    padding: 0 0.5rem;
}

input[type="password"] {
    font-size: 16px;
    line-height: 24px;
    padding: 0 0.5rem;
}

.survey-title {
    font-size: 20px;
    font-weight: bold;
    margin-bottom: 2pt;
    margin-top: 6pt;
    padding: 0pt 0pt 2pt;
}

.wrapper:hover .hoverText, .wrapper:focus .hoverText {
    visibility: visible;
}

.hoverText {
    visibility: hidden;
    background-color: var(--dark);
    color: var(--light);
    border-radius: 3px;
    padding: 5px;
    position: absolute;
    margin: 5px;
    z-index: 1;
    max-width: 300px;
    white-space: normal;
    transform: translate(35%, 0%);
}

.mrQuestionText {
    font-size: 18px;
}

.mrSingle {
    margin-bottom: 10px;
}

.mrNext,
.mrPrev {
    background-color: var(--primary-btn);
    appearance: button;
    border-bottom-color: rgba(0, 0, 0, 0);
    border-bottom-left-radius: 0.4rem;
    border-bottom-right-radius: 0.4rem;
    border-top-color: rgba(0, 0, 0, 0);
    border-top-left-radius: 0.4rem;
    border-top-right-radius: 0.4rem;
    border-left-color: rgba(0, 0, 0, 0);
    border-right-color: rgba(0, 0, 0, 0);
    color: var(--dark);
    font-weight: 700;
    padding: 8px 21px;
    font-size: 2.0rem;
    width: 12rem !important;
}

.mrNext:hover,
.mrPrev:hover {
    background-color: var(--primary-btn-focus);
    text-decoration: underline;
}

.mrStop {
    background-color: rgba(0, 0, 0, 0);
    border: none;
    color: var(--secondary-btn);
    float: right;
    font-size: 1.2rem;
    font-weight: 700;
    padding: 8px;
    text-decoration: underline;
    text-align: right;
}

.mrStop:hover {
    color: var(--secondary-btn-focus);
}

.text p {
    margin: 0;
}

.footer-education {
    color: var(--light);
    left: 0;
    margin-top: auto;
    min-height: fit-content;
    min-width: 100vw;
    padding: 1.5rem 0;
    position: relative;
    text-align: center;
    text-decoration: none;
}

.footer-education {
    background-color: var(--main-education);
}

.footer-education .navigation {
    border: 0;
    margin: 0;
    padding: 0;
    vertical-align: baseline;
}

.nav {
    padding: 1rem 0;
}

nav a {
    border-right: 1px solid var(--light);
    padding: 0 1rem;
}

nav li:last-of-type a {
    border-right: none;
}

.menu {
    -webkit-box-pack: center;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    list-style: none;
    margin: 0 1.25rem 1.25rem 1.25rem;
    padding: 0px;
}

.menu-item {
    font-size: 1rem;
    line-height: 1.5rem;
}

.menu-item a {
    border-style: solid;
    border-width: 0 1px 0 0;
    color: var(--light);
    font-size: 1rem;
    padding: 0 0.625rem;
    text-decoration: none;
}

.menu-item:last-child a {
    border-width: 0;
}

.footer-education .copyright p {
    font-size: 0.9rem;
    margin: 0;
}

.footer-education .copyright p a {
    color: var(--light);
    font-size: 0.9rem;
    padding: 0 .8rem;
    text-decoration: none;
}

#app-header img, #survey-footer img {
    display: block;
    height: auto;
    max-width: 100%;
    box-sizing: content-box;
}
footer#survey-footer {
    background-color: var(--qld-gov-primary);
    color: #fff;
	margin-top: 10px;
    padding: 30px 0;
    font-size: 1.4rem;
    border-top: solid 4px var(--line-border);
	line-height: 2.4rem;
}

footer#survey-footer .footer-item-wrapper {
    display: flex;
    width: 100%;
    justify-content: space-between;
}
footer#survey-footer .footer-item p {
    margin: 1em 0;
    max-width: 650px;
}
footer#survey-footer h2, footer#survey-footer h3 {
    font-size: 2.0rem;
    font-weight: 500;
}
footer#survey-footer h2 {
    margin-top: 0;
    margin-bottom: 5rem;
    padding-top: 3rem;
    line-height: inherit;
}
footer#survey-footer h3 {
    margin-top: 0;
    line-height: 2.4rem;
    padding-top: 0;
}
footer#survey-footer a {
    color: #fff;
    text-decoration: underline;
    text-underline-offset: 0.3em;
}
footer#survey-footer a:hover, footer#survey-footer a:active {
    text-decoration-thickness: 0.2rem;
}
footer#survey-footer .years {
    white-space: nowrap;
}
footer#survey-footer ul {
    padding: 0;
    margin-top: 0;
}
footer#survey-footer ul li {
    list-style-type: none;
    margin-bottom: 10px;
}
footer#survey-footer .contact-us svg {
    width: 14px;
    height: 14px;
    padding-right: 5px;
	box-sizing: content-box;
}
footer#survey-footer #contact-us-cta {
    display: inline-block;
    margin-top: 2rem;
    padding: 1rem 3rem;
    color: #fff;
    font-size: 1.6rem;
    border: 3px solid var(--line-border);
    border-radius: .25rem;
}
footer#survey-footer .footer-item.contact-us {
	margin-right: 20px;
}
footer#survey-footer .footer-item.middle {
	padding-left: 30px;
    border-left: 2px solid #84d3ff;
	padding-right: 10px;
}
footer#survey-footer .footer-item.acknowledgment {
	padding-left: 30px;
	border-left: 2px solid #84d3ff;
}


/*@media only screen and (max-width: 990px) {
    .text {
        text-align: left;
    }

    footer {
        font-size: 0.9rem;
    }

    nav a {
        border-right: none;
        padding: 0 0.5rem;
    }

    nav li {
        text-align: center;
    }
}*/

@media (max-width: 920px) {
	footer#survey-footer .footer-item.middle {
		padding-left: 20px;
	}
	footer#survey-footer .footer-item.acknowledgment {
		padding-left: 20px;
	}


    /*.wrapper-outer,*/
    .header-container-education {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .left-crest {
        display: block;
        width: auto;
        height: 60px;
        margin-bottom: 10px;
    }

    .survey-title {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
        position: static;
        left: auto;
        transform: none;
    }

    .survey-title-text {
        text-align: left;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }

    .survey-title-text-l {
        font-size: 2rem;
    }

    .survey-title-text-m {
        font-size: 1.2rem;
    }

    .survey-title-text-s {
        font-size: 1rem;
        font-weight: 100;
    }

    .right-crest {
        display: none;
    }

    .form-container {
        padding: 0px 20px 40px 20px;
    }

}

@media only screen and (max-width: 620px) {
    #qldgov-header .wrapper-inner,
    #office-header .wrapper-inner {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    #office-header .wrapper-inner a {
        text-align: center;
		max-width: 90%;
    }

	footer#survey-footer .footer-item-wrapper {
		flex-direction: column;
	}
	footer#survey-footer .footer-item-wrapper .footer-item {
		padding-right: 0;
		padding-left: 0;
		border-left-width: 0;
	}
    footer#survey-footer .footer-item.middle  {
        margin-top: 2rem;
    }
    footer#survey-footer .footer-item.acknowledgment {
        margin-top: 3rem;
    }
    footer#survey-footer .footer-item-divider {
        display: none;
    }
    footer#survey-footer .footer-item p {
        max-width: inherit;
    }
	footer#survey-footer #contact-us-cta {
		margin-top: 1rem;
	}

    .form-container h1 {
        font-size: 1.6rem;
    }

    span[id*="Cell.0"] {
        margin-bottom: 0.5rem !important;
        display: block;
    }

    .hoverText {
        max-width: 200px;
    }

}

@media only screen and (max-width: 480px) {
    .text p {
        font-size: 0.85rem;
    }

    .mrStop {
        float: none;
        display: block;
        margin-top: 2rem;
    }

    .mrQuestionTable {
        margin-left: 0 !important;
    }

    input[type="radio"] {
        margin-left: 0 !important;
    }

    input[type="checkbox"] {
        margin-left: 0 !important;
    }

	/* Try this out to see if helps on a small screen */
	.content {
		max-width: var(--max-width);
		width: 95%;
		margin: 10px auto 0;
		flex: 1;
	}
}
